-1
votes
1answer
10 views

Restore php5.5 after php5.6 removal

I have Ubuntu 14.04, wanted to try php5.6. Added ppa:ondrej/php5-5.6. Updated. Installed php5. Got php5.6. Did not find some extensions and decided to switch back to ubuntu's own php 5.5. Deleted ...
1
vote
3answers
77 views

Not able to add 3rd party software in Ubuntu 14.04

I added a 3rd party software(terminator) PPA in Ubuntu 14.04 by running the command below: sudo apt-add-repository ppa:gnome-terminator/ppa sudo apt-get update And now, when I search for that ...
0
votes
1answer
36 views

How to prevent PPA to upgrade all packages instead of desired one

I added the Yorba ppa to get the latest version of Geary. Now when I went to upgrade my system next, it tried to also pull a later version of Shotwell from their PPA as well, but the upgrade failed ...
0
votes
1answer
24 views

Can't find wine1.6.2 after adding a ppa

I am installing wine 1.6.2 on Ubuntu 12.04, following this link http://www.tecmint.com/install-wine-on-ubuntu-and-linux-mint/ Installation of Wine 1.6.2 To install Wine, open the terminal by ...
0
votes
0answers
47 views

Problems in update ubuntu 14.04

I am using Ubuntu 14.04 alongside Windows 7 in my Sony laptop. I tried to update using sudo apt-get update but the following errors occurred while updating Err http://ppa.launchpad.net trusty/main ...
0
votes
0answers
27 views

Cannot do update and cannot install any package [duplicate]

I am a centos user but a friend asked me to install programs on his lubuntu 12.04. For that I started to get an update but it did not work: $ sudo apt-get update Ign http://hu.archive.ubuntu.com ...
2
votes
1answer
22 views

How to identify unused PPAs?

Let's say I want to verify if some PPAs aren't being used so I can minimize conflicts or whatever else could happen. Is it possible to verify which PPAs are no longer in use?
0
votes
1answer
34 views

Remove ppa from previous Ubuntu versions

As the title, is there any way to automatically identify and remove ppa residual of previous release? I have upgraded to Ubuntu 14.04 from 13.04 and my /etc/apt/sources.list.d directory contains a lot ...
1
vote
0answers
32 views

How do I release software on apt-get? [duplicate]

I'm a bit new to desktop programming, and I currently prefer to work with scripting languages (open source and all). When I polish a tool off I then want to release it for installation via apt-get but ...
1
vote
1answer
168 views

Software Updater fail, and “apt-get update” throws “Invalid operation update” - what next?

I'm running a fairly vanilla 14.04 Ubuntu on a newish HP desktop. Just yesterday I got the dreaded "Failed to download repository information": A screenshot of this window has been seen on ...
1
vote
1answer
1k views

How to install Sublime Text 2 on Ubuntu 14.04

All tutorials on installing ST2 on Ubuntu describe 2 ways: Manual way of downloading the tar from the official website, extracting it, moving it to /opt/, creating a symlink and start menu entry ...
0
votes
0answers
21 views

Patch a package by adding new files to it?

I'm trying to patch an existing package, and my patch is supposed to change some files and add some files and directories to the package. All seems to work, the .patch file in debian/patches looks ...
0
votes
2answers
167 views

Why am I getting Error: need a single repository as argument for sudo add-apt-repository ppa: paolorotolo / android-studio

I am executing the following command as per the instructions in the link. sudo add-apt-repository ppa: paolorotolo / android-studio I am getting the error - Error: need a single repository as ...
0
votes
1answer
57 views

How to bring back older version of mesa packages from ppa:xorg-edgers/ppa

I'm trying to install older version of mesa packages from xorg-edgers PPA using following command: sudo apt-get install libgl1-mesa-dev=10.3.0~git20140812.fa5b76e3-0ubuntu0ricotz~trusty ...
0
votes
0answers
23 views

libreoffice reinstall problems

How a tiny problem turned into a big one. Summary of what I've done so far: Details are here I recently upgraded from Kubuntu Precise (with backports, including the LO PPA) to Trusty with backports. ...
2
votes
0answers
16 views

Add Package to Official Repository [duplicate]

I wrote a driver for a remote filesystem (mounts a Google Drive, similar to the way SSHFS mounts a remote server). It's super useful as an alternative to dropbox or ubuntuone. It is now getting ...
1
vote
0answers
31 views

Downgrade all external packages to the official ones

Let's say I installed bunch of packages from external PPA repositories and they modified or replaced the existing default packages in the system. Assume that then I remove those PPAs from the ...
1
vote
1answer
207 views

Error installing the noobslab Dark Theme in Ubuntu 14.04

I wanna install the noobslab Dark Theme in Ubuntu 14.04. I'm following the steps defined in the site http://www.noobslab.com/2014/05/delorean-dark-theme-updated-install-in.html but when I try the ...
1
vote
0answers
42 views

Unable to add PPA

I was just trying to get Pipelight installed when I came across following error. I copy and pasted the input into my terminal the second time around and the error still occured.
0
votes
0answers
73 views

How to install Rigs of Rods from PPA

I really want to install rigs of rods on my Ubuntu 14.04(.1) machine. I know that to install it there are two ways; compiling from source or from PPA. I don't have good luck compiling so I rather ...
0
votes
1answer
55 views

ppa: Grails installation error [duplicate]

I have tried installing Grails using: sudo add-apt-repository ppa:groovy-dev/grails sudo apt-get update sudo apt-get install grails-ppa The first command returns without errors: $ sudo ...
0
votes
1answer
269 views

I can´t install Cinammon on Ubuntu 12.04 LTS [duplicate]

I'm new on linux and I've installed Ubuntu 12.04 lts. I want to install cinnamon but after typing sudo add-apt-repository ppa:gwendal-lebihan-dev/cinammon-stable it shows me this: Cannot ...
1
vote
1answer
60 views

Difference between key (recv-keys), signing key, and fingerprint in APT/PPA system

Let's take https://launchpad.net/~ansible/+archive/ubuntu/ansible as an example. If you click on 'Technical details about this PPA' you see: Signing key: 4096R/7BB9C367 Fingerprint: ...
0
votes
1answer
209 views

How do you install the Ubuntu Touch Coreapps?

How do you install the Ubuntu Touch Coreapps on an Ubuntu Desktop?
0
votes
0answers
5 views

I am having trouble downloading Wine onto my Linux Mint 17 [duplicate]

I type in: sudo add-apt-repository ppa:ubuntu-wine/ppa I put in my password, then this comes up: You are about to add the following PPA to your system: Welcome to the Wine Team PPA. Here ...
0
votes
2answers
576 views

Intel Graphis card not updating. Problem with ppa?

I'm trying to update my graphics card. Info: description: VGA compatible controller product: 2nd Generation Core Processor Family Integrated Graphics Controller vendor: Intel Corporation ...
2
votes
2answers
27 views

Custom update process for ubuntu

I a have remote embedded system with Ubuntu on it. Also it runs our proprietary Java application Jar on it. In order to update that jar I have tried to set up private PPA repository, but it seems too ...
0
votes
2answers
34 views

apt-get loop for ppa's

I recently wanted to install e17 on ubuntu 12.04. I first tried to use the ppa ~ hannes-janetzek / enlightenment-svn and it did not work for me, because it did not all packages (econnman), I kept ...
0
votes
0answers
17 views

apt-get error (blocking updates) “ubuntu/dist/trusty/main/binary-*” how to correct? [duplicate]

There's a problem with apt-get it appears two sources are bouncing back 404 errors. However this is curretly blocking me from updating or installing new packages. Can someone advise on what these ...
0
votes
1answer
125 views

Ubuntu on armhf: “using PPAs with apt-get source -b”?

In brief, the problem I seem to be having is that apt-get "ignores" whatever PPA I add. I assume that this is because the respective PPA's limit their debs to i386 and AMD64 builds. (I'm using armhf.) ...
0
votes
1answer
871 views

Ubuntu 14.0.4 apt-get update fails for any installs and upgrades in trusty [duplicate]

I have tried various recommendations from the web to no success. The apt-get update gives errors . Here are my error messages after sudo apt-get udpate: W: Failed to fetch ...
1
vote
2answers
160 views

Apt Upgrade AND Downgrade all packages to Current Release

I recently upgraded from Ubuntu 12.04 to 14.04. While using 12.04, I installed several packages via PPA's. Now that I've upgraded to 14.04, I've discovered that some of the PPA packages from 12.04 are ...
1
vote
1answer
59 views

libjansson repositories? [duplicate]

I'm trying to get the deb repository for libjansson4 which includes version 2.6-1, but when I go to this page here https://launchpad.net/ubuntu/utopic/amd64/libjansson-dev/2.6-1 I can't get the PPA ...
2
votes
1answer
109 views

apt-get seems to ignore specified package versions

I just added a PPA (for Compiz) with lower version numbers, and made an apt_preferences file: Package: * Pin: release o=LP-PPA-townsend-compiz-nvidia-refresh-test Pin-Priority: 600 Sure enough, the ...
1
vote
0answers
24 views

Prevent custom repository from overriding distribution package Ubuntu 14.04

I have a custom repo in my sources to provide smartgit: ppa:eugenesan/ppa For the last week I havent been able to get past the login loop trying everything under the sun. Today I found that this ...
1
vote
0answers
36 views

How do I update a single PPA instead of all of them?

For example, I have ppa:skunk/pepper-flash and only want to update it instead of the whole apt-get update. Is there something like for example apt-get update ppa:skunk/pepper-flash that I can use?
0
votes
1answer
75 views

Added PPA, can't get updated packages

Alright, I'm no so much a ubuntu novice, but this one has me pulling my hair out. I've done this a MILLION times before, but this time something is just not working. I have added 2 PPA's: ...
0
votes
1answer
148 views

How can i fix the add-apt-repository hang?

I'm not sure what happened, but add-apt-repository doesn't work anymore. If I try, it just hangs: After "[sudo] password for cyanogenhacker:" and entering the password, it just flashes the cursor ...
4
votes
1answer
144 views

Use of PPA to send simple updates

I wish to setup a PPA to send simple changes to several hundreds of ubuntu 12.04 machines in the field. Simple changes mean that bash script changes and configuration file updates and possibly other ...
0
votes
1answer
139 views

What do I do if launchpad repository doesn't exist anymore?

Recently, ubuntu told me that it failed to resynchronize the package index files from their sources. Here's the output of apt-get update: ... W: Failed to fetch ...
0
votes
1answer
262 views

Cinnamon PPA was not found

I am unable to add Cinnamon PPA on Ubuntu 12.04 LTS. The add-apt-repository can't access the PPA. Also, when I visit PPA URL on https://launchpad.net/~gwendal-lebihan-dev/+archive/cinnamon-stable, I ...
0
votes
0answers
225 views

tzdata-java / tzdata package update error ubuntu precise 12.04

I had an unexpected error while updating the tzdata-java package (through daily updates). The following packages have unmet dependencies: tzdata-java : Depends: tzdata (= 2014c-0ubuntu0.12.04) but ...
0
votes
1answer
46 views

PPA without upgrades

I just installed smartgithg via ppa:eugenesan/ppa. After an upgrade and restart the whole window style got broken and I can't switch to my preferred keyboard layout. May be some other errors occured ...
0
votes
1answer
38 views

Can 3rd-party package repositories be trusted? (Are there criteria to test if they're trustworthy?) [duplicate]

(Note: no disrespect whatever to the hard work people that people who run 3rd-party repositories put in.) I came across a package repository, a ppa, that was suggested for getting php5.5 on Ubuntu ...
1
vote
0answers
63 views

apt doesn't update mplayer2 [closed]

I had mplayer2 from 13.04 repositories. Now I added motumedia PPA for it: sudo add-apt-repository ppa:motumedia/mplayer-daily But while current mplayer2 is 2.0-554-gf63dbad-1ubuntu1 and ...
0
votes
0answers
38 views

Installing Wine on Ubuntu 14.04 [duplicate]

Tried several times to install Wine, see the terminal output below: ray@ray-Aspire-5735:~$ sudo add-apt-repository ppa:ubuntu-wine/ppa Welcome to the Wine Team PPA. Here you can get the latest ...
1
vote
2answers
7k views

BURG For Ubuntu 14.04 Trusty

As the title.. how do i do that? i really want that.. but ingalex has removed the folder.. making sudo apt-get update show a error like this W: Failed to fetch ...
1
vote
1answer
1k views

How do remove "Ignoring file in directory /etc/apt/sources.list.d/ as it has an invalid filename extension?

Since upgrading 13.10 to 14.04, I get these annoying messages each time I install, update, upgrade, and so on: N: Ignoring file 'webupd8team-java-raring.list.disable' in directory ...
1
vote
0answers
18 views

how do i create a ppa for a package made by someone else but not managed anymore

Okay , 1st of all, though ive used PPAs for all these years, i never went into the details of how they are created and managed and stuff... so, i am a noob at being on the "creator" or " manager" ...
4
votes
3answers
8k views

Is Avant Window Navigator Available For Ubuntu 14.04?

I want to install avant-window-navigator on Ubuntu 14.04. I tried to install by following command: sudo add-apt-repository ppa:awn-testing/ppa sudo apt-get update sudo apt-get install ...